<form (ngSubmit)="submit()" #f="ngForm">
    <input name="label" placeholder="EnterText" #in="ngModel" required [(ngModel)]="label" minlength="4" pattern="[a-zA-Z][a-zA-Z]+">
    <div *ngIf="in.invalid && (in.dirty || in.touched)" class="error">
        <div *ngIf="in.errors.required"> Name is required. </div>
        <div *ngIf="in.errors.minlength"> Name must be at least 4 characters long. </div>
        <div *ngIf="in.errors.forbiddenName"> Name cannot be Bob. </div>
        <div *ngIf="in.errors.pattern"> Only alphabetsallowed. </div>
    </div>
    <button type="submit" [disabled]="!f.form.valid">Add todo</button>
</form>